PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT > Struct Template Reference

`#include <plask/mesh/rectangular_masked_spline.hpp>`

Inheritance diagram for plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >:
[legend]
Collaboration diagram for plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >:
[legend]

## Public Types
typedef RectangularMaskedMesh2D | MeshType
Public Types inherited from plask::LazyDataImpl< DstT >
typedef DstT | CellType

## Public Member Functions
| SplineMaskedRect2DLazyDataImpl (const shared_ptr< const RectangularMaskedMesh2D > &src_mesh, const DataVector< const SrcT > &src_vec, const shared_ptr< const MeshD< 2 > > &dst_mesh, const InterpolationFlags &flags)
DstT | at (std::size_t index) const override
| Get index-th value from vector.
Public Member Functions inherited from plask::InterpolatedLazyDataImpl< DstT, RectangularMaskedMesh2D, const SrcT >
| InterpolatedLazyDataImpl (const shared_ptr< const RectangularMaskedMesh2D > &src_mesh, const DataVector< const const SrcT > &src_vec, const shared_ptr< const MeshD< SrcMeshType::DIM > > &dst_mesh, const InterpolationFlags &flags)
std::size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DstT >
virtual | ~LazyDataImpl ()
virtual DataVector< const DstT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DstT > | claim () const

## Public Attributes
DataVector< SrcT > | diff0
DataVector< SrcT > | diff1
Public Attributes inherited from plask::InterpolatedLazyDataImpl< DstT, RectangularMaskedMesh2D, const SrcT >
shared_ptr< const RectangularMaskedMesh2D > | src_mesh
shared_ptr< const MeshD< SrcMeshType::DIM > > | dst_mesh
DataVector< const const SrcT > | src_vec
InterpolationFlags | flags

## Detailed Description

template<typename DstT, typename SrcT>
struct plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >

Definition at line 25 of file rectangular_masked_spline.hpp.

## Member Typedef Documentation

## ◆ MeshType

template<typename DstT , typename SrcT >

typedef RectangularMaskedMesh2D plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >::MeshType

Definition at line 27 of file rectangular_masked_spline.hpp.

## Constructor & Destructor Documentation

## ◆ SplineMaskedRect2DLazyDataImpl()

template<typename DstT , typename SrcT >

plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >::SplineMaskedRect2DLazyDataImpl | ( | const shared_ptr< const RectangularMaskedMesh2D > & | src_mesh,
|  | const DataVector< const SrcT > & | src_vec,
|  | const shared_ptr< const MeshD< 2 > > & | dst_mesh,
|  | const InterpolationFlags & | flags
| ) |  |
| inline

Definition at line 31 of file rectangular_masked_spline.hpp.

## Member Function Documentation

## ◆ at()

template<typename DstT , typename SrcT >

DstT plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >::at | ( | std::size_t | index | ) | const
| override virtual

Get index-th value from vector.

Parameters

  index | should be a value from 0 to size()-1

Returns
  index-th value from vector

Implements plask::LazyDataImpl< DstT >.

Definition at line 26 of file rectangular_masked_spline.cpp.

## Member Data Documentation

## ◆ diff0

template<typename DstT , typename SrcT >

DataVector<SrcT> plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >::diff0

Definition at line 29 of file rectangular_masked_spline.hpp.

## ◆ diff1

template<typename DstT , typename SrcT >

DataVector<SrcT> plask::SplineMaskedRect2DLazyDataImpl< DstT, SrcT >::diff1

Definition at line 29 of file rectangular_masked_spline.hpp.

The documentation for this struct was generated from the following files:

- plask/mesh/rectangular_masked_spline.hpp
- plask/mesh/rectangular_masked_spline.cpp